import { jsx } from "react/jsx-runtime";
import { TokenMOCHI as TokenMOCHI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMOCHI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MOCHI", "data-name": "TokenMOCHI", ...props, children: /* @__PURE__ */ jsx(TokenMOCHI$1, { variant }) });
  }
);
TokenMOCHI.displayName = "TokenMOCHI";
Object.assign(TokenMOCHI, { isGdsIcon: true });
export {
  TokenMOCHI
};
